Subject: bug#2914: closed (Re: bug#2914: a signal to just slap emacs' face, not kill it)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 22 Feb 2012 04:21:02 +0000

Your bug report

#2914: a signal to just slap emacs' face, not kill it

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
2914: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=2914
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#2914: a signal to just slap emacs' face, not kill it
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Tue, 21 Feb 2012 23:18:09 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 24.1

SIGUSR2 should now cause Emacs to stop and enter the debugger.
C-h v debug-on-event

Subject: a signal to just slap emacs' face, not kill it
From: [email-masked]
To: [email-masked]
Date: Tue, 07 Apr 2009 11:38:04 +0800

Recently I made emacs so busy that I could get a C-g in edgewise, and I
had to wait a few minutes for it to finish what it was doing.

I could just from the shell do killall -s HUP emacs but that would just
kill it, without giving me a chance to save my files, etc.

So maybe there should be a way to send it a signal to just slap its face
a little, to get its attention, but not actually kill it.

Perhaps just to do what a C-g would have done, if it had got thru.

(It's besides the point, but I was using
http://test.wikipedia.org/wiki/Special:Allmessages?uselang=zh-tw and C-g
nor C-c C-k could break thru.)